<?php

namespace App\Repositories\Shop;

use App\Models\Shop\Order;

class Orders
{
    public static function getOptions()
    {
        return Order::orderBy('value', 'asc')->get()->pluck('value', 'id')->toArray();
    }

    public static function getOptionsByPackage($package_id)
    {
        return Order::byPackage($package_id)->orderBy('value', 'asc')->get()->pluck('value', 'id')->toArray();
    }

    public static function getAll()
    {
        return Order::orderBy('value', 'asc')->get();
    }

    public static function get($id)
    {
        return Order::findOrFail($id);
    }

    public static function store($data)
    {
        $id = isset($data['id']) ? $data['id'] : false;
        $item = $id ? self::update($data, $id) : self::create($data);
        return $item->id;
    }

    public static function create($data)
    {
        return Order::create($data);
    }

    public static function update($data, $id = false)
    {
        $id = $id ? $id : $data['id'];
        $item = self::get($id);
        $item->update($data);
        return $item;
    }

    public static function destroy($id)
    {
        return Order::destroy($id);
    }
}
